System.ServiceModel 4.0.0.0 System.Enum

Message Queuing (MSMQ) can encrypt messages on the wire when transferring queued messages between queue managers. is an enumeration that contains the set of encryption algorithms that can be used to encrypt messages on the wire.

For encryption to work, the property must be set to .

Only is supported on ws2003 and wxp.

Contains the set of encryption algorithms that can be used to encrypt messages on the wire.

- Field
  4.0.0.0
  System.ServiceModel.MsmqEncryptionAlgorithm

  The Advanced Encryption Standard (AES) defined by the National Institute of Standards and Technology (NIST).

- Field
  4.0.0.0
  System.ServiceModel.MsmqEncryptionAlgorithm

  A stream cipher defined by RSA Security.